package com.ruoyi.abuwx.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 资讯信息对象 info_content
 *
 * @author lujie
 * @date 2024-12-27
 */
public class InfoContent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /**  */
    @Excel(name = "")
    private String title;

    /**  */
    @Excel(name = "")
    private Long categoryId;

    /** 来源（智能生成/手动录入） */
    @Excel(name = "来源", readConverterExp = "智=能生成/手动录入")
    private String source;

    /** 审核状态（未审核/已审核 */
    @Excel(name = "审核状态", readConverterExp = "1=草稿；2待审核；3=已审核；4=未发布；5=已发布；6=已撤销")
    private String checkStatus;

    /** 审核结果（未通过/已通过） */
    @Excel(name = "审核结果", readConverterExp = "未=通过/已通过")
    private String checkResult;

    /** 发布状态（已发布/未发布/已撤销） */
    @Excel(name = "发布状态", readConverterExp = "已=发布/未发布/已撤销")
    private String publishStatus;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /**  */
    @Excel(name = "")
    private String content;

    /**  */
    @Excel(name = "")
    private String banner;

    /** 撤销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "撤销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cancelTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }

    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }

    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }

    public void setCheckResult(String checkResult)
    {
        this.checkResult = checkResult;
    }

    public String getCheckResult()
    {
        return checkResult;
    }

    public void setPublishStatus(String publishStatus)
    {
        this.publishStatus = publishStatus;
    }

    public String getPublishStatus()
    {
        return publishStatus;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setBanner(String banner)
    {
        this.banner = banner;
    }

    public String getBanner()
    {
        return banner;
    }

    public void setCancelTime(Date cancelTime)
    {
        this.cancelTime = cancelTime;
    }

    public Date getCancelTime()
    {
        return cancelTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("categoryId", getCategoryId())
            .append("source", getSource())
            .append("checkStatus", getCheckStatus())
            .append("checkResult", getCheckResult())
            .append("publishStatus", getPublishStatus())
            .append("publishTime", getPublishTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("content", getContent())
            .append("banner", getBanner())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("cancelTime", getCancelTime())
            .toString();
    }
}
